Show: Inherited Protected Private Deprecated

# ButtonDropdown Class

Defined in: `src/ui/react/src/components/buttons/button-dropdown.jsx:4`

The ButtonDropdown class provides markup and keyboard navigation behaviour to a dropdown opened from a button.

## Index

### Methods

- getDefaultProps
- render

### Properties

- key static

## Methods

### `getDefaultProps`

()

Defined in `src/ui/react/src/components/buttons/button-dropdown.jsx:13`

Lifecycle. Returns the default values of the properties used in the widget.

### `render`

() Object

Defined in `src/ui/react/src/components/buttons/button-dropdown.jsx:44`

Lifecycle. Renders the UI of the button.

#### Returns:

Object:

The content which should be rendered.

## Properties

### `key`

String static

Defined in `src/ui/react/src/components/buttons/button-dropdown.jsx:34`

The name which will be used as an alias of the dropdown in the configuration.

Default: dropdown